List Skills
curl --request GET \
--url https://api.veryfront.com/projects/{project_reference}/skills \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veryfront.com/projects/{project_reference}/skills"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veryfront.com/projects/{project_reference}/skills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"source_path": "<string>",
"allowed_tools": [
"<string>"
],
"owner_agent_id": "<string>",
"short_name": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"error": "<string>",
"message": "<string>",
"source_only_reasons": [
"<string>"
],
"source_path": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"error": "<string>",
"message": "<string>",
"source_only_reasons": [
"<string>"
],
"source_path": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"error": "<string>",
"message": "<string>",
"source_only_reasons": [
"<string>"
],
"source_path": "<string>"
}Lists skills from the selected source target.
GET
/
projects
/
{project_reference}
/
skills
List Skills
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Path Parameters
Query Parameters
Provide the runtime target kind.
Available options:
main_branch, environment, preview_branch Provide the target environment id.
Provide the target branch id.
Provide the source target kind.
Available options:
project, main_branch, environment, preview_branch Response
Discovered project skills
Show child attributes
Show child attributes
⌘I